unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, jpeg, ExtCtrls;

type
  TForm1 = class(TForm)
    Image1: TImage;
    Label1: TLabel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    Button10: TButton;
    Button11: TButton;
    Button12: TButton;
    Button13: TButton;
    Button14: TButton;
    Button15: TButton;
    Button16: TButton;
    Button17: TButton;
    Button18: TButton;
    Button19: TButton;
    Button20: TButton;
    Button21: TButton;
    Button22: TButton;
    Button23: TButton;
    Button24: TButton;
    Label2: TLabel;
    Button25: TButton;
    CheckBox1: TCheckBox;
    procedure FormPaint(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button25Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
  dateien : Tstringlist;
  aktuellerPfad: string;
  bild: Tbitmap;

function dir: string;
procedure ladebild(pfad: string);

implementation

uses Unit2,GIFImage;

{$R *.DFM}

procedure gif_laden(const pfad: string);
  var g: TGIFImage;
begin
 g := TGIFImage.Create;
 try
   g.LoadFromFile(pfad);
   bild.Assign(g);
  finally g.free end;
end;

procedure  jpg_laden(const pfad: string);
var
  jpg :TJPEGImage; //uses jpeg;
begin
  jpg:=TJPEGImage.Create;
  try
    jpg.Performance :=jpBestQuality;
    jpg.ProgressiveDisplay := false;
    jpg.scale := jsFullSize;
    jpg.Grayscale := false;
    //JPG.Performance := jpBestQuality; // jpBestSpeed;
    try
     jpg.LoadFromFile(pfad);
     bild.Assign(jpg);
   except
     showmessage('Konnte Datei "' + pfad + '"nicht als Bild laden');
   End;
   finally
    jpg.Free;
  end;
end;

procedure GroesseAnBildschirmanpassen;
  var bmp: TBitmap;
      rb,rh,r: real;
      b,h: integer;
begin
  b := bild.Width;
  h := bild.height;
  rb := screen.width/b;
  rh := screen.height/h;
  if rb < rh then r := rb else r := rh;
  r := 0.98*r;
  with bild do Begin
    BMP:=TBitmap.Create;
    try
      bmp.PixelFormat := pf24bit;
      BMP.Width:= round(Width*r);
      BMP.Height:= round(Height*r);
      BMP.Canvas.StretchDraw(Rect(0,0,round(Width*r), round(Height*r)),bild);
      form2.Image1.Picture.Bitmap.assign(BMP);
    finally BMP.Free End;
  End;
end;


procedure ladebild(pfad: string);
begin
  pfad := lowercase(pfad);
  aktuellerPfad := pfad;
  if extractfileext(pfad) = '.bmp' then
    bild.loadfromfile(pfad) else
  if extractfileext(pfad) = '.jpg' then jpg_laden(pfad) else
  if extractfileext(pfad) = '.jpeg' then jpg_laden(pfad) else
  if extractfileext(pfad) = '.gif' then gif_laden(pfad);
  if form1.CheckBox1.checked then GroesseAnBildschirmanpassen else
    form2.Image1.Picture.Bitmap.assign(bild);
end;

function dir: string;
begin
  dir := IncludeTrailingBackslash(extractfiledir(paramstr(0)));
end;


procedure TForm1.FormPaint(Sender: TObject);
begin
  form2.show;
end;

procedure TForm1.Button1Click(Sender: TObject);
  var s: string;
      n: integer;
      c: char;
begin
  s := (sender as Tbutton).caption;
  n := pos('.',s);
  s := copy(s,1,n-1);
  n := strToInt(s);
  s := char(96+n);
  c := s[1];
  form2.show;
  try
    ladebild(dir + c + '01.gif');
  except showmessage('"' + c + '01.gif" impossvel abrir este arquiro !') End;  
end;

procedure TForm1.Button25Click(Sender: TObject);
begin
  close;
end;

procedure TForm1.FormCreate(Sender: TObject);
  var SR:TSearchRec;
begin
  bild := Tbitmap.Create;
  dateien := Tstringlist.Create;
  dateien.Sorted := true;
  if FindFirst(dir + '*.*', faDirectory, SR)=0 then Begin
    repeat
      if (extractfileext(sr.name) = '.gif') or (extractfileext(sr.name) = '.jpg')then
        if pos('zz',sr.name) = 0 then dateien.Add(lowercase(dir + sr.name));
    until FindNext(SR)<>0;
    FindClose(SR); //Nach jedem findfirst
  End;
  //showmessage(dateien[0] + #13 + dateien[dateien.Count - 1]);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  dateien.free;
  bild.free;
end;

end.
